org.apache.ignite.internal.visor.cache

## Class VisorCacheAffinityConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheAffinityConfiguration

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorCacheAffinityConfiguration
    extends Object
    implements Serializable, LessNamingBean

Data transfer object for affinity configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheAffinityConfiguration()`

### Method Summary

Methods
`Boolean` `excludeNeighbors()`
`static VisorCacheAffinityConfiguration` `from(CacheConfiguration ccfg)`
`String` `function()`
`String` `mapper()`
`int` `partitionedBackups()`
`Integer` `partitions()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheAffinityConfiguration

    public VisorCacheAffinityConfiguration()

### Method Detail

#### from

    public static VisorCacheAffinityConfiguration from(CacheConfiguration ccfg)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for affinity configuration properties.

#### function

    public String function()

Returns:
  Cache affinity.

#### mapper

    public String mapper()

Returns:
  Cache affinity mapper.

#### partitionedBackups

    public int partitionedBackups()

Returns:
  Count of key backups.

#### partitions

    public Integer partitions()

Returns:
  Cache affinity partitions.

#### excludeNeighbors

    @Nullable
    public Boolean excludeNeighbors()

Returns:
  Cache partitioned affinity exclude neighbors.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016